post
https://bynder-public-us-east-1.s3-accelerate.amazonaws.com/
Uploading a file consists of the following two parts:
1. Breaking down your file into parts/chunks
Each part must be at least 5 MB in size, except for the last part. There is no size limit on the last part of your multipart upload. For more information about how Amazon handles parts/chunks, visit Amazon's website.
2. Sending the chunks to Amazon and registering them with Bynder
You can repeat these calls until your file has been uploaded completely.
Upload a chunk
Make a POST request to the Amazon upload endpoint you received from calling Get closest AmazonS3 upload endpoint. Use multipart/form-data to send all of the parameters included in the multipart_params of the previous request, plus the additional parameters listed below.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
| Name | Value | Type |
|---|---|---|
| 'Content-Type' | Content type extracted from the multipart_params's Content-Type of the response of the initialise upload request. | string |
| 'Policy' | Policy extracted from the multipart_params's Policy of the response of the initialise upload request. | string |
| 'X-Amz-Signature' | Signature extracted from the multipart_params's X-Amz-Signature of the response of the initialise upload request. | string |
| 'acl' | Access control list extracted from the multipart_params's acl of the response of the initialise upload request. | string |
| 'key' | Key extracted from the multipart_params's key of the response of the initialise upload request followed by p{Chunk index number}. Example: "pluploads/12345/image.png/p1". | string |
| 'success_action_status' | Success action status extracted from the multipart_params's success_action_status of the response of the initialise upload request. | string |
| 'x-amz-algorithm' | Algorithm extracted from the multipart_params's x-amz-algorithm of the response of the initialise upload request. | string |
| 'x-amz-credential' | Credential extracted from the multipart_params's x-amz-credential of the response of the initialise upload request. | string |
| 'x-amz-date' | Date extracted from the multipart_params's x-amz-date of the response of the initialise upload request. | string |
| 'name' | Filename that was passed as attribute in the initialise upload request. | string |
| 'chunk' | Chunk index number (indexing starts from 1). | number |
| 'chunks' | Total number of chunks. | number |
| 'Filename' | The value of the key from the multipart_params of the response of the initise upload request followed by p{Chunk index number}. Example: "pluploads/12345/image.png/p1". ATTENTION: Filename must start with capital F. | string |
| 'File' | File or chunk of the file to be uploaded. | byte array |
200